Bug 1439165 - glibc: SYS_getrandom definition missing on s390x
Summary: glibc: SYS_getrandom definition missing on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
URL:
Whiteboard:
Depends On: 1432218 1484729
Blocks: 1413146
TreeView+ depends on / blocked
 
Reported: 2017-04-05 11:07 UTC by Florian Weimer
Modified: 2017-08-24 08:45 UTC (History)
7 users (show)

Fixed In Version: glibc-2.17-194.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:11:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1916 0 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC

Description Florian Weimer 2017-04-05 11:07:02 UTC
glibc-2.17-192.el7 was built against an older kernel version which did not backport the getrandom system call to all architectures (see bug 1432218).  As a result, SYS_getrandom is not defined on all architectures.  In particular, it is missing on s390x.

The reason that glibc, at build time, obtains a list of the __NR_* macros from the kernel headers and synthesized its list of SYS_* macros from that.  This means that if newer kernel headers are installed at a later point, an extended __NR_* macro list will not make it into corresponding SYS_* macros.

We need to rebuild glibc (with a new NVR) against newer kernel headers, once bug 1432218 is fixed.  I'll work on an alternative approach upstream which eliminates the build ordering dependency.

Comment 1 Florian Weimer 2017-04-05 19:44:25 UTC
Patch posted upstream:

https://sourceware.org/ml/libc-alpha/2017-04/msg00082.html

When we backport this, we should put the system call list into a separate, top-level file which goes directly into the SRPM, so that it is simpler to update in each y-stream release.

Comment 9 errata-xmlrpc 2017-08-01 18:11:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.